Policies
Get a policy proposal
Returns the current queued policy proposal (only one can exist at a time).
GET
/
policies
/
proposals
cURL
curl --request GET \
--url https://api.onchainden.com/api/v1/policies/proposals \
--header 'Authorization: Bearer <token>'const client = new DenClient({ apiKey: 'ck_live_...' });
const proposal = await client.getPolicyProposal();
{
"data": {
"id": "prop_pol_add_123",
"resourceType": "policies",
"action": "create",
"signatureStatus": "approvalReady",
"executionStatus": "completed",
"threshold": 2,
"approvals": [],
"rejections": [],
"createdAt": "2026-01-18T00:00:00.000Z",
"expiresAt": "2026-01-25T00:00:00.000Z",
"data": {
"policies": [
{
"name": "Small USDC Transfers",
"type": "AUTO_APPROVAL",
"transactionType": "TOKEN_TRANSFER",
"networkId": 1,
"accountIds": [
"acc_1"
],
"initiatorSetting": null,
"approverSetting": null,
"limitation": null,
"tokenTransferCondition": {
"tokenAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"amountThreshold": "1000000000",
"destinationAddresses": []
}
}
]
},
"result": {
"resolution": "approved",
"resources": [
{
"type": "policy",
"id": "pol_new1",
"uri": "/api/v1/policies/pol_new1"
}
]
}
}
}{
"error": {
"code": "unauthorized",
"message": "Invalid API key"
}
}{
"error": {
"code": "notFound",
"message": "Resource not found"
}
}Authorizations
API key authentication. Include your API key in the Authorization header.
Response
Policy proposal details
- Policies Add
- Policies Update
- Policies Remove
Show child attributes
Show child attributes
Example:
{
"id": "prop_pol_add_123",
"resourceType": "policies",
"action": "create",
"signatureStatus": "approvalReady",
"executionStatus": "completed",
"threshold": 2,
"approvals": [],
"rejections": [],
"createdAt": "2026-01-18T00:00:00.000Z",
"expiresAt": "2026-01-25T00:00:00.000Z",
"data": {
"policies": [
{
"name": "Small USDC Transfers",
"type": "AUTO_APPROVAL",
"transactionType": "TOKEN_TRANSFER",
"networkId": 1,
"accountIds": ["acc_1"],
"initiatorSetting": null,
"approverSetting": null,
"limitation": null,
"tokenTransferCondition": {
"tokenAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"amountThreshold": "1000000000",
"destinationAddresses": []
}
}
]
},
"result": {
"resolution": "approved",
"resources": [
{
"type": "policy",
"id": "pol_new1",
"uri": "/api/v1/policies/pol_new1"
}
]
}
}
⌘I
cURL
curl --request GET \
--url https://api.onchainden.com/api/v1/policies/proposals \
--header 'Authorization: Bearer <token>'const client = new DenClient({ apiKey: 'ck_live_...' });
const proposal = await client.getPolicyProposal();
{
"data": {
"id": "prop_pol_add_123",
"resourceType": "policies",
"action": "create",
"signatureStatus": "approvalReady",
"executionStatus": "completed",
"threshold": 2,
"approvals": [],
"rejections": [],
"createdAt": "2026-01-18T00:00:00.000Z",
"expiresAt": "2026-01-25T00:00:00.000Z",
"data": {
"policies": [
{
"name": "Small USDC Transfers",
"type": "AUTO_APPROVAL",
"transactionType": "TOKEN_TRANSFER",
"networkId": 1,
"accountIds": [
"acc_1"
],
"initiatorSetting": null,
"approverSetting": null,
"limitation": null,
"tokenTransferCondition": {
"tokenAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"amountThreshold": "1000000000",
"destinationAddresses": []
}
}
]
},
"result": {
"resolution": "approved",
"resources": [
{
"type": "policy",
"id": "pol_new1",
"uri": "/api/v1/policies/pol_new1"
}
]
}
}
}{
"error": {
"code": "unauthorized",
"message": "Invalid API key"
}
}{
"error": {
"code": "notFound",
"message": "Resource not found"
}
}